Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsPsiEncoding Class Reference

Define encodings for the PSI prefilter. More...

## Public Member Functions
| NetricsPsiEncoding (String[] fields, bool[] bwd_flags, int[] match_minima, int num_sfxd_fields, NetricsTable.PsiDensity? density)
| This class is used to define an encoding for the PSI pre-filter.

## Detailed Description

Define encodings for the PSI prefilter.

Objects of this class are used to define the encodings for the PSI prefilter. If you use the PSI prefilter and do not define any encodings a default set of encodings is created. These default encodings are good for most applications but some applications may require encodings be defined explicitly to achieve the desired performance and accuracy.

It is recommended that you contact ibi for technical assistence before attempting to define encodings.

## Constructor & Destructor Documentation

## ◆ NetricsPsiEncoding()

NetricsServerInterface.NetricsPsiEncoding.NetricsPsiEncoding | ( | String[] | fields,
|  | bool[] | bwd_flags,
|  | int[] | match_minima,
|  | int | num_sfxd_fields,
|  | NetricsTable::PsiDensity? | density
| ) |  |
| inline

This class is used to define an encoding for the PSI pre-filter.

It is recommended that you contact your ibi support representative for advice on which SORT encodings to use for your specific application.

Parameters

  fields | A list of field names. The first field name will be the primary sort key, the second field will be secondary, and so on.
  bwd_flags | Fields can also be sorted backwards (from the last characters in the field to the first). Important fields can and should be used as primary sort keys in both their forward and reverse directions. The backwards_fields array should be the same length as the encodings array and the sub-array at each position in the two primary arrays should also be the same length. In this way, there is a flag in the bwd_flags array for each of the fields in the encoding. The flag is true if the field is to be sorted in the backwards direction and false for the forward direction.
  match_minima | Specifies a minimum number of characters to match for each field in the encoding. During a PSI pre-filter scan for a query, scanning of the encoding stops if none of the minima are met.
  num_sfxd_fields | Number of to fields to suffix in the encoding. Currently only 0 and 1 are supported.
  density | Specifies the density of suffixes in the PSI pre-filter index. See NetricsTable.PsiDensity

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.